<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/white"
        app:layout_constraintBottom_toBottomOf="@+id/tablayout"
        app:layout_constraintTop_toBottomOf="@+id/toolbar_include" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:background="@color/color_F8F8F8"
        app:layout_constraintBottom_toTopOf="@+id/tablayout"
        app:layout_constraintLeft_toLeftOf="parent" />

    <com.cooleshow.teacher.widgets.CourseSearchView
        android:id="@+id/search_view"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="5dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/tv_upload_sheet_music"
        app:layout_constraintTop_toBottomOf="@+id/toolbar_include"
        app:left_search_text="声部"
        app:search_edit_hint="曲目" />

    <TextView
        android:id="@+id/tv_upload_sheet_music"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="14dp"
        android:drawableRight="@drawable/icon_arrow_right_small_green"
        android:drawablePadding="5dp"
        android:gravity="center"
        android:text="上传曲谱"
        android:textColor="@color/color_2dc7aa"
        android:textSize="@dimen/sp_16"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/search_view"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/search_view" />

    <com.google.android.material.tabs.TabLayout
        android:id="@+id/tablayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_44"
        android:layout_marginTop="10dp"
        android:scrollbars="none"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/search_view"
        app:tabBackground="@null"
        app:tabGravity="fill"
        app:tabIndicator="@drawable/tab_indicator"
        app:tabIndicatorColor="@color/color_2dc7aa"
        app:tabIndicatorFullWidth="false"
        app:tabIndicatorHeight="4dp"
        app:tabMode="fixed"
        app:tabPaddingEnd="0dp"
        app:tabPaddingStart="0dp"
        app:tabRippleColor="@null"
        app:tabSelectedTextColor="@color/black_333"
        app:tabTextAppearance="@style/tab_layout_style"
        app:tabTextColor="@color/color_666666" />


    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewpager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="@+id/tablayout"
        app:layout_constraintTop_toBottomOf="@+id/tablayout" />
</androidx.constraintlayout.widget.ConstraintLayout>